Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class ProcessorCharacters

    java.lang.Object
      |
      +--org.apache.xalan.processor.XSLTElementProcessor
            |
            +--org.apache.xalan.processor.ProcessorCharacters

public class ProcessorCharacters
extends XSLTElementProcessor

This class processes character events for a XSLT template element.

See Also:
  XSLT DTD, section-Creating-the-Result-Tree in XSLT Specification

Constructor Summary
`ProcessorCharacters()`

Method Summary
`void` | `characters(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` Receive notification of the end of an element.
`void` | `startNonText(StylesheetHandler handler)` Receive notification of the start of the non-text event.

Methods inherited from class org.apache.xalan.processor.XSLTElementProcessor
`ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startElement, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorCharacters

    public ProcessorCharacters()

Method Detail

### startNonText

    public void startNonText(StylesheetHandler handler)
                      throws SAXException

  Receive notification of the start of the non-text event. This is sent to the current processor when any non-text event occurs.
  Overrides:
    startNonText in class XSLTElementProcessor

### characters

    public void characters(StylesheetHandler handler,
                           char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data inside an element.
  Parameters:
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    characters in class XSLTElementProcessor
  See Also:
    `ContentHandler.characters(char[], int, int)`

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `handler` - The calling StylesheetHandler/TemplatesBuilder.
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `rawName` - The raw XML 1.0 name (with prefix), or the empty string if raw names are not available.
    `atts` - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    endElement in class XSLTElementProcessor
  See Also:
    `StylesheetHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `StylesheetHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `Attributes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.